/*
	File:		ExportMovie.c
	
	Contains:	QuickTime sample code

	Copyright:	 2000 by Apple Computer, Inc. All rights reserved


*/

#include <Script.h>
#include "ExportMovie.h"

void SimpleExportMovie(Movie theMovie, FSSpec *theFSSpec)
{
	long exportFlags = showUserSettingsDialog |
					   movieToFileOnlyExport |
					   movieFileSpecValid |
					   createMovieFileDeleteCurFile;

	// If the movie is currently playing stop it
	if (GetMovieRate(theMovie))
		StopMovie(theMovie);

	// use the default progress procedure, if any
	SetMovieProgressProc(theMovie,					// the movie specifier
						 (MovieProgressUPP)-1L,		// pointer to a progress function; -1 indicades default
						 0);						// reference constant
	
// Insert ConvertMovieToFile.clp here...

}