#ifndef _MAININCLUDES_
#define _MAININCLUDES_

//#define TARGET_API_MAC_CARBON 1

#include <ConditionalMacros.h>
#include <MacTypes.h>

#include <MacMemory.h>
#include <Errors.h>
#include <Fonts.h>
#include <QuickDraw.h>
#include <Resources.h>
#include <Gestalt.h>
#include <FixMath.h>
#include <Sound.h>
#include <string.h>
#include <Movies.h>
#include <ImageCompression.h>
#include <Script.h>
#include <TextUtils.h>
#include <Processes.h>

#ifndef _IMAGECOMPRESSIONUTILITIES_
#include "ImageCompressionUtilities.h"
#endif

#include "createsprites.h"
#include "animsprite.h"
#include "dispsprite.h"

// constants
#define kNumSprites				4
#define kNumSpaceShipImages		24
#define kBackgroundPictID		158
#define kFirstSpaceShipPictID	(kBackgroundPictID + 1)
#define kSpaceShipWidth			106
#define kSpaceShipHeight		80

// global variables

extern SpriteWorld						gSpriteWorld;
extern GWorldPtr						gSpritePlane;
extern Sprite							gSprites[kNumSprites];
extern Handle							gCompressedPictures[kNumSpaceShipImages];
extern ImageDescriptionHandle			gImageDescriptions[kNumSpaceShipImages];
extern Rect								gBounceBox;
extern Rect								gDestRects[kNumSprites];
extern Point							gDeltas[kNumSprites];
extern short							gCurrentImages[kNumSprites];
extern Handle							gCompressedPictures[kNumSpaceShipImages];
extern RGBColor							gBackgroundColor;



#endif
